# https://pypi.io/packages/source/t/typing/typing-3.6.4.tar.gz
%define module typing

Name:           python-%{module}
Version:        3.6.4
Release:        %mkrel 2
Summary:        Typing defines a standard notation for type annotations

Group:          Development/Python
License:        Python
URL:            https://pypi.python.org/pypi/typing
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.

%package -n python3-%{module}
Group:          Development/Python
Summary:        Typing defines a standard notation for type annotations
Provides:       %{module} = %{version}-%{release}

%description -n python3-%{module}
Typing defines a standard notation for Python function and variable type
annotations. The notation can be used for documenting code in a concise,
standard format, and it has been designed to also be used by static and runtime
type checkers, static analyzers, IDEs and other tools.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc README.rst LICENSE
%{python_sitelib}/*

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Tue Aug 23 2022 tex - 3.6.4-2pclos2022
- rebuild against updates

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 3.6.4-1pclos2018
- update

* Sat Dec 02 2017 bb2 <bb2> - 3.6.2-1pclos2017
- create python3 package
